--------------------------------------------------------------------------
--  DLX PROCESSOR MODEL SUITE
--  Copyright (C) 1995, Martin Gumm
--  University of Stuttgart / Department of Computer Science / IPVR-ISE
--------------------------------------------------------------------------
--  This program is free software; you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation; either version 1, or (at your option)
--  any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--------------------------------------------------------------------------
--  Last revision date : November 15 1995
--------------------------------------------------------------------------

--------------------------------------------------------------------------
--  *** SYNOPSYS synthesizable code (ver. 3.2.a) ***
--------------------------------------------------------------------------

--------------------------------------------------------------------------
--  Configuration for the DLX 
--  
--  (file controller_config2.vhd)
--------------------------------------------------------------------------

configuration controller_config2 OF controller2 IS

  for dataflow

    for control_unit : pipe_control
      USE configuration WORK.pipe_control_config;
    end for;

    for fetch_stage : fetch
      USE ENTITY WORK.fetch(behaviour);
    end for;

    for decode_stage : decode
      USE configuration WORK.decode_config
       GENERIC MAP (tpd_fsm => 2 ns, tpd_dec => 2 ns, DEBUG => TRUE);
    end for;

    for exec_stage : exec
      USE ENTITY WORK.exec(behaviour);
    end for;
    
    for memory_stage : memory
      USE ENTITY WORK.memory(behaviour);
    end for;

    for wb_stage : wb
      USE ENTITY WORK.wb(behaviour);
    end for;

    
  end for; --dataflow
  
end controller_config2;
