
architecture bench of pipe_control is

component pipe_control
 port (phi1       : in std_logic;
       reset      : in std_logic;

       s1_enab     : out std_logic_vector(0 to 5);    -- select s1 source
       s2_enab     : out std_logic_vector(0 to 3);    -- select s2_source
       dest_enab   : out std_logic_vector(0 to 4);    -- select destination
       alu_op_sel  : out std_logic_vector(0 to 3);    -- alu operation
       const_sel   : out std_logic_vector(0 to 1);    -- select const for s1
       immed_sel   : out std_logic_vector(0 to 1);    -- select immediate fro
       exc_enab    : out std_logic_vector(0 to 7);    -- enable set exception
       mem_ctrl    : out std_logic_vector(0 to 7);

       pc_latch    : out std_logic;

       stall_fetch  : out std_logic;
       stall_decode : out std_logic;
       stall_exec   : out std_logic;
       stall_mem    : out std_logic;
       stall_wb     : out std_logic);       

end component;

signal PHI_ONE      :  std_logic;
       RESET        :  std_logic;

       s1_enab     :  std_logic_vector(0 to 5);    -- select s1 source
       s2_enab     :  std_logic_vector(0 to 3);    -- select s2_source
       dest_enab   :  std_logic_vector(0 to 4);    -- select destination
       alu_op_sel  :  std_logic_vector(0 to 3);    -- alu operation
       const_sel   :  std_logic_vector(0 to 1);    -- select const for s1
       immed_sel   :  std_logic_vector(0 to 1);    -- select immediate fro
       exc_enab    :  std_logic_vector(0 to 7);    -- enable set exception
       mem_ctrl    :  std_logic_vector(0 to 7);

       pc_latch    :  std_logic;

       stall_fetch  :  std_logic;
       stall_decode :  std_logic;
       stall_exec   :  std_logic;
       stall_mem    :  std_logic;
       stall_wb     :  std_logic;       



begin

 ppcnt : pipe_control
  PORT MAP (phi1 => PHI_ONE, reset => RESET,
            s1_enab => s1_enab,
            s2_enab => s2_enab,
            dest_enab => dest_enab,
            alu_op_sel => alu_op_sel,
            const_sel => const_sel,
            immed_sel => immed_sel,
            exc_enab => exc_enab,
            mem_ctrl => mem_ctrl,

            pc_latch => pc_latch,

            stall_fetch => stall_fetch,
            stall_decode => stall_decode,
            stall_exec => stall_exec,
	    stall_mem => stall_mem,
            stall_wb => stall_wb);


end bench;
